Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 612 - pppd doesn't check for its MTU/MRU limits; obscure error message and line drop results
Summary: pppd doesn't check for its MTU/MRU limits; obscure error message and line dro...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-26 22:48 UTC by aa8vb
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1998-12-31 19:32:33 UTC


Attachments (Terms of Use)

Description aa8vb 1998-12-26 22:48:13 UTC
Apparently, Redhat 5.2's pppd (2.3pl5) has internal
limits on MTU/MRU that it doesn't check for on the
command line.  Specifying an MTU/MRU that is beyond
these undocumented internal limits (e.g. 1524) on the
command line results in pppd starting up, taking these
values, negotiating them with the server, and only after the
line is up and a packet too big is received, generating an
obscure error message and exiting.  Here is the error it
prints:

Dec 26 14:48:01 blackbird-eth pppd[2895]: read: Value too
large for defined data type(75)

Comment 1 aa8vb 1998-12-26 22:49:59 UTC
BTW, lowering the specified MTU to 1064 works around this pppd bug.
--Randall (aa8vb@pagesz.net)

Comment 2 David Lawrence 1998-12-31 19:32:59 UTC
I tried this several times in the test lab and in all cases pppd did
the correct thing. If you specify a number larger that 1500 and both
ends have a max of 1500 then it will drop down to 1500 which is also
the default pppd will use if no mru and mtu are specified. When I
entered a number less that 1500 it used that number specifically. I
was unable to genrate the error that you were reporting.

One possibility is that the server you are dialing into is not using
Linux and their pppd server supports packet sizes larger that 1500
where the linux pppd client does not therefore generating the errors.


Note You need to log in before you can comment on or make changes to this bug.